#include "mainwindow.h"

#include <QTreeWidgetItem>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent)
{
    setupUi(this);

    auto item = new QTreeWidgetItem;
    item->setText (0, "root");
    treeWidget->addTopLevelItem (item);

    auto item2 = new QTreeWidgetItem;
    item2->setText (0, "branch");
    item->addChild (item2);
}

#include <QDrag>
#include <QMimeData>

void MainWindow::on_pushButton_pressed()
{
    QDrag * drag = new QDrag (this);

    QMimeData * data = new QMimeData;
    data->setText ("Drag and drop");
    data->setColorData (QColor ("orange"));

    drag->setMimeData (data);
    drag->start ();
    // drag->start (Qt::CopyAction | Qt::MoveAction | Qt::LinkAction);
}
