#include "mytreewidget.h"

MyTreeWidget::MyTreeWidget (QWidget *parent)
  : QTreeWidget (parent)
{
   setAcceptDrops(true);
}

QStringList MyTreeWidget::mimeTypes() const
{
    return QStringList () << "text/plain" << "application/x-color";

    /*
    QStringList list;
    list.append ("text/plain");
    list.append ("application/x-color");
    return list;
    */
}

#include <QMimeData>

bool MyTreeWidget::dropMimeData(QTreeWidgetItem *parent, int index, const QMimeData *data, Qt::DropAction action)
{
    if (parent != NULL)
    {
        if (data->hasText())
            parent->setText (index, data->text ());
        if (data->hasColor())
        {
            QColor color = qvariant_cast <QColor> (data->colorData());
            parent->setForeground(index, color);
        }
    }

}
